Subject: Re: [bug#55663] [PATCH] Image API: add FAT32 support

From: Pavel Shlyak <[email-masked]>
Date: Thu, 26 May 2022 23:54:45 +0300

Thank you for a quick response!
I have changed it according to your recommendations. I hope it’s better now.

> 26 мая 2022 г., в 21:07, Tobias Geerinckx-Rice <[email-masked]> написал(а):
> 
> Hi Pavel,
> 
> Pavel Shlyak 写道：
>> I believe it is an important change as Raspberry PI (and I suppose some other boards) cannot boot with fat16 boot partitions. 
> 
> LGTM in principle.
> 
> The FS_BITS argument should be a regular number.  You can coerce it with number->string in the command line.
> 
> On the subject of being explicit is good: we should add "fat16" type and treat "vfat" as a softly deprecated alias.  But that can be done in a later patch.
> 
> Kind regards,
> 
> T G-R